/* REXX Script: creating WPS objects for JRescuer */

call rxFuncAdd "SysLoadFuncs" , "RexxUtil" , "SysLoadFuncs"
call SysLoadFuncs

lang = Value('LANG',,'OS2ENVIRONMENT')
parse var lang language '_' .
language = translate(language)
if pos(language,'EN ES RU')=0 then language = 'EN'

select
  when language = 'EN' then do
    foldername="JRescuer"
    homepage = "JRescuer homepage"
    docdir="DOCUMENTATION" 
    junename = "JUne"
    jrescuername = "JRescuer"
    regname = "Registration"
    junereadme = "JUne readme"
    jrescuerreadme = "JRescuer readme"
    lang_3 = ''
   end
  when language = 'ES' then do
    foldername="JRescuer"
    homepage = "Pgina de JRescuer"
    docdir="DOCUMENTATION" 
    junename = "JUne"
    jrescuername = "JRescuer"
    regname = "Registro"
    junereadme = "Lame de JUne"
    jrescuerreadme = "Lame de JRescuer"
    lang_3 = '\Spanish'
   end
  when language = 'RU' then do
    foldername="JRescuer"
    homepage = " ࠭ JRescuer"
    docdir="DOCUMENTATION" 
    junename = "JUne"
    jrescuername = "JRescuer"
    regname = ""
    junereadme = "⠩  JUne"
    jrescuerreadme = "⠩  JRescuer"
    lang_3 = '\Russian'
   end
  otherwise nop
 end

Parse arg dir

if dir="" then dir = directory()
rc=directory(dir)

rc=SysCreateObject("WPFolder",foldername,"<WP_DESKTOP>",,
                   "OBJECTID=<JRESCUERFOLDER>;OPEN=Default;ICONVIEWPOS=18 45 60 26;","FAIL" )

PRGOPTION="EXENAME="||dir||"\June.exe;OBJECTID=<JUNE_EXE>;STARTUPDIR="||dir||";"
rc=SysCreateObject("WPProgram",junename,"<JRESCUERFOLDER>",PRGOPTION,"REPLACE")

PRGOPTION="EXENAME="||dir||"\JRescuer.exe;OBJECTID=<JRESCUER_EXE>;STARTUPDIR="||dir||";"
rc=SysCreateObject("WPProgram",jrescuername,"<JRESCUERFOLDER>",PRGOPTION,"REPLACE")
                   
rc=SysCreateObject("WPUrl",homepage,"<JRESCUERFOLDER>",,
                   "OBJECTID=<JRESCUERHOMEPAGE>;URL=http://ecomstation.ru/jrescuer;","REPLACE" )
                   
PRGOPTION="SHADOWID="||dir||"\"||docdir||lang_3||"\jrescuer.txt;OBJECTID=<JRESCUERREADME>"
rc=SysCreateObject("WPShadow",jrescuerreadme,"<JRESCUERFOLDER>",PRGOPTION,"REPLACE")
                   
PRGOPTION="SHADOWID="||dir||"\"||docdir||lang_3||"\june.txt;OBJECTID=<JUNEREADME>"
rc=SysCreateObject("WPShadow",junereadme,"<JRESCUERFOLDER>",PRGOPTION,"REPLACE")

PRGOPTION="SHADOWID="||dir||"\"||docdir||"\registration.txt;OBJECTID=<JRESCUERREGISTRATION>"
rc=SysCreateObject("WPShadow",regname,"<JRESCUERFOLDER>",PRGOPTION,"REPLACE")
       
/* Open JRescuer folder */
objectID = "<JRESCUERFOLDER>"
objectOpen = SysSetObjectData( objectID, "OPEN=DEFAULT;" )
if objectOpen = 1 then
    objectOpen = objectOpen + ,
                 SysSetObjectData( objectID, "OPEN=DEFAULT;" )


